babel-polyfillでIE対応

こんにちは!kossyです!



さて、今回はVueCLI 3系で作った Vue.js 2系のWebアプリをbabel-polyfillでIE対応する方法について、
ブログに残してみたいと思います。



環境
Vue.js 2.5.17
VueCLI 3.0.1
MacOS Mojave
npm 6.5.0
node 11.8.0



babel-polyfillをnpm install

まずはbabel-polyfillをnpm install します。

$ npm install --save babel-polyfill

そして、src/main.jsでbabel-polyfill をimport します。

import 'babel-polyfill'

あとはnpm run build でbuildを行い、distファイルをデプロイするだけです。




勉強になりました。